# Mistlock

Mistlock is a series of modded servers for anyone who enjoys relaxing gaming with lots of options to up the challenge.

## Fimbulvetr
Its winter time, and with winter comes wintersday! Or in Valheim, Fimbulvetr, the mighty winter and the prelude to Ragnarok. This specific modpack is primarily focused around QoL changes to Valheim that reward you for putting in effort and diminish punishment. There are also a handful of mods primarily focused around progression, and for the first time *Jewelcrafting*.

QoL mods include:
```
AzuExtendedPlayerInventory
AutoRepair
AzuAreaRepair
Sorted_Menus
Logout_Tweaks (keeps active effects, like poison resist during logout)
Quick_Stack_Store
BetterLaddersContinued (ladders you can walk up)
NoSmokeStayLit (eternal fire for non-production buildings)
AutomaticFuel (auto-grab fuel/ingredients for smelters)
MultiUserChest
FloatingItems
CreatureLevelAndLootControl
HoneyPlease (auto-store excess honey production)
Rune_Magic (magic to make some tasks easier, as you progress)
Need_For_Speed (paths make you faster!)
PinAssistant (pin search, sort, automation)
```

Progression and content:
```
ValheimArmory
Farming
Foraging
Lumberjacking
PackHorse
Ranching
Mining
AdvancedPortals
Endurance
Sailing
SNEAKer
PassivePowers
Better_Wisplight
ValheimFortress
Jewelcrafting
```

### Key Concepts
Skill progression
- This modpack features skill progression mods by Smoothbrain! These mods will gradually give you better rewards for your actions as you become more skilled
- More wood from lumbering
- AoE & better drops from wild pickables
- AoE harvesting & planting along with better drops from crops
- Faster taming & better rewards for slaughtering tames
- More mining damage & more ore from mining
- Faster sailing & bigger exploration radius while sailing
- Faster sneaking as you level up your sneakiness
- Significantly reduced penalties for death (skill loss wise)
- Stamina and regeneration increases as you use them more

[Jewelcrafting](https://valheim.thunderstore.io/package/Smoothbrain/Jewelcrafting/)
- Jewels can be crafted and socketed into your equipment, these provide small bonuses that can be increased over time.
- Upgrading jewels has a chance to break them
- Upgrading equipment has a chance to break it
- Bosses will spawn on a regular interval across the map, gather your friends and kill them for coins! (they are challenging! be prepared)

[RunicMagic](https://valheim.thunderstore.io/package/hyleanlegend/Rune_Magic/)
- Craft a "Rune Focus" and walk near existing Vegvesirs (the standing red runestones you see) then "use" the rune to absorb their powers
- Different biomes have different rune powers you can unlock
- Runes can be recharged by absorbing vegvesirs

[ShrineOfChallenge](https://valheim.thunderstore.io/package/MidnightMods/ValheimFortress/)
- Build a defendable base
- Craft a shrine of challenge, and summon waves of enemies in exchange recieve a desired reward
- These challenges are pretty hard and its recommended you bring a friend or have significant fortifications / better gear

Map Markers
- Automated map markers can be configured through [PinAssistant](https://valheim.thunderstore.io/package/WxAaRoNxW/PinAssistant/)
- Configure which markers you share
- Search your existing markers for specific things (where was that patch of ore?)



### Configuration
This modpack comes pre-configured with a default set of configurations, feel free to adjust them to your playstyle or use them when enforcing configuration for a server.

### FAQ

Q. The chest inventory is overlapping my inventory!
A. Depending on your screen resolution this can happen with the default configs, you can fix it by adjusting `Chest Inventory Y` from `AzuExtendedInventory`, this is a client sided configuration so can be changed to fit your preference and won't be enforced by the server.

## Credits
* Icon generated by DF AI

## Changelog

**1.0.6**
```
Updating ValheimArmory
Fixing damage tuning on some weapons
```

**1.0.5**
```
Fixing valheim fortress rewards configuration
Updated ValheimFortress, AzuExtendedPlayerInventory
```

**1.0.4**
```
Added Smoothbrains Hildirs Quest, making the quests player-based, quests are now repeatable on a server and provide rewards for everyone in the fight, supporting multiplayer fights better
Changed Jewelcraft boss gems to randomly drop with a small chance from killing the boss.
Reduced the tuning on jewelcraftings worldbosses slightly
```

**1.0.3**
```
Changed the default chest inventory Y location to be slightly lower to avoid overlap for more resolution sizes 1 -> 0.85
Reduced the maximum spawns per wave from the shrine of challenge to be 40 (from 60)
```

**1.0.2**
```
Fixing enforced configurations, again :sigh:
```

**1.0.1**
```
Added AzuSkillTweaks tuned to reduce death penalty significantly
Disabled Debugmode on ValheimFortress
Fixed configs not being provided by the modpack
updated modpack icon
```

**1.0.0**
```
Initial release
```